Linux tsuru-no-tsurugi 5.15.0-186-generic #196-Ubuntu SMP Sat Jun 20 16:09:34 UTC 2026 x86_64
Apache/2.4.52 (Ubuntu)
Server IP : 192.168.0.18 & Your IP : 216.73.217.105
Domains :
Cant Read [ /etc/named.conf ]
User : www-data
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
usr /
share /
initramfs-tools /
hooks /
Delete
Unzip
Name
Size
Permission
Date
Action
amd64_microcode
3.77
KB
-rwxr-xr-x
2024-10-16 14:22
bcache
543
B
-rwxr-xr-x
2022-03-23 18:42
btrfs
701
B
-rwxr-xr-x
2022-02-25 02:39
cloud-initramfs-dyn-netconf
118
B
-rwxr-xr-x
2020-08-18 01:00
console_setup
3.07
KB
-rwxr-xr-x
2021-11-23 01:39
copymods
280
B
-rwxr-xr-x
2020-08-18 01:00
cryptgnupg
958
B
-rwxr-xr-x
2022-01-14 06:44
cryptgnupg-sc
2.19
KB
-rwxr-xr-x
2022-01-14 06:44
cryptkeyctl
457
B
-rwxr-xr-x
2022-01-14 06:44
cryptopensc
1.48
KB
-rwxr-xr-x
2022-01-14 06:44
cryptpassdev
888
B
-rwxr-xr-x
2022-01-14 06:44
cryptroot
15
KB
-rwxr-xr-x
2022-08-04 21:08
cryptroot-unlock
1010
B
-rwxr-xr-x
2022-01-14 06:44
dmsetup
506
B
-rwxr-xr-x
2021-05-19 19:19
fixrtc
436
B
-rwxr-xr-x
2024-03-19 19:03
framebuffer
579
B
-rwxr-xr-x
2024-03-19 21:05
fsck
2.06
KB
-rwxr-xr-x
2024-03-19 19:03
fuse
231
B
-rwxr-xr-x
2022-03-23 22:53
intel_microcode
4.83
KB
-rwxr-xr-x
2026-02-27 23:20
iscsi
732
B
-rwxr-xr-x
2022-01-19 20:38
kbd
301
B
-rwxr-xr-x
2022-12-16 23:14
klibc-utils
646
B
-rwxr-xr-x
2021-12-27 02:51
kmod
432
B
-rwxr-xr-x
2021-01-08 19:42
linux-firmware
865
B
-rwxr-xr-x
2026-02-02 03:47
lvm2
691
B
-rwxr-xr-x
2021-05-20 02:35
mdadm
2.91
KB
-rwxr-xr-x
2023-04-11 12:22
ntfs_3g
304
B
-rwxr-xr-x
2026-07-12 00:55
overlayroot
732
B
-rwxr-xr-x
2020-08-18 01:00
plymouth
5.69
KB
-rwxr-xr-x
2022-03-18 19:45
resume
3.04
KB
-rwxr-xr-x
2024-03-19 21:05
sg3-utils
485
B
-rwxr-xr-x
2023-03-22 23:57
thermal
1.29
KB
-rwxr-xr-x
2024-03-19 21:05
thin-provisioning-tools
369
B
-rwxr-xr-x
2022-03-18 21:36
udev
1.85
KB
-rwxr-xr-x
2026-03-24 22:52
xfs
850
B
-rwxr-xr-x
2024-10-17 15:49
zz-busybox-initramfs
2.18
KB
-rwxr-xr-x
2024-08-13 22:39
zz-dhclient
478
B
-rwxr-xr-x
2023-02-01 06:54
Save
Rename
#!/bin/sh # # Copyright © 2006-2008 Martin F. Krafft <madduck@debian.org>, # 2012 Michael Tokarev <mjt@tls.msk.ru> # based on the scripts in the initramfs-tools package. # released under the terms of the Artistic Licence. # set -eu PREREQ="udev" prereqs() { echo "$PREREQ" } case "${1:-}" in prereqs) prereqs exit 0 ;; esac is_true() { case "${1:-}" in [Yy]es|[Yy]|1|[Tt]rue|[Tt]) return 0;; *) return 1;; esac } write() { local PREFIX; PREFIX=$1; shift echo "${PREFIX}: mdadm: $@" >&2 } info() { is_true ${VERBOSE:-false} && write I "$@" || : } warn() { write W "$@" } . /usr/share/initramfs-tools/hook-functions # copy the binary as early as possible copy_exec /sbin/mdadm /sbin copy_exec /sbin/mdmon /sbin # Copy udev rules, which udev no longer does for UDEV_RULE in 63-md-raid-arrays.rules 64-md-raid-assembly.rules; do for rules_folder in /lib/udev/rules.d /etc/udev/rules.d; do if [ -f $rules_folder/$UDEV_RULE ]; then mkdir -p $DESTDIR$rules_folder cp $rules_folder/$UDEV_RULE $DESTDIR$rules_folder/$UDEV_RULE fi done done # load raid modules in the initramfs for module in linear multipath raid0 raid1 raid456 raid5 raid6 raid10; do force_load $module done # load efivars for Intel RST IMSM, see Bug#962844 force_load efivars || true # copy the mdadm configuration CONFIG=/etc/mdadm/mdadm.conf ALTCONFIG=/etc/mdadm.conf DESTMDADMCONF=$DESTDIR/etc/mdadm/mdadm.conf [ ! -f $CONFIG ] && [ -f $ALTCONFIG ] && CONFIG=$ALTCONFIG || : mkdir -p ${DESTDIR}/etc/mdadm if [ ! -f $CONFIG ]; then # there is no configuration file, so let's create one if /usr/share/mdadm/mkconf generate $CONFIG; then # all is well cp -p $CONFIG $DESTMDADMCONF info "auto-generated the mdadm.conf configuration file." else # we failed to auto-generate, so let the emergency procedure take over warn "failed to auto-generate the mdadm.conf file." warn "please read /usr/share/doc/mdadm/README.upgrading-2.5.3.gz ." fi else cp -p $CONFIG ${DESTDIR}/etc/mdadm sed -i '/^CREATE/s/^/#/' $DESTMDADMCONF if ! grep -q '^ARRAY' $CONFIG; then tmpfile="${DESTMDADMCONF}.tmp" if /usr/share/mdadm/mkconf > $tmpfile; then cp -p $tmpfile $DESTMDADMCONF else warn "failed to auto-generate temporary mdadm.conf file." fi else # make sure the configuration file knows about all running devices /sbin/mdadm --detail --scan | while read array device params; do uuid=${params#*UUID=}; uuid=${uuid%% *} if grep -qi "UUID=$uuid" $DESTMDADMCONF; then info "$uuid $device added to the mdadm.conf in the initramfs" fi done fi fi